<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:fn="http://java.sun.com/jsp/jstl/functions">

    <ui:composition>
    <h1>
		<small>Dashboard - #{msg['versao.versao']}</small>
	</h1>
        <h:form>
            <div class="panel panel-primary">
                <div class="panel-body" style="height: 70%;position: absolute;">
                        <div class="col-lg-6 col-xs-6">
                            <div class="small-box bg-green">
                                <div class="inner">
                                    <h3>#{fn:length(clienteController.listaClienteDashboard)}</h3>
                                    <p><p:outputLabel value="Cliente" rendered="#{fn:length(clienteController.listaClienteDashboard) == 0}"/></p>
                                    <p><p:outputLabel value="Cliente Cadastrado" rendered="#{fn:length(clienteController.listaClienteDashboard) == 1}"/></p>
                                    <p><p:outputLabel value="Clientes Cadastrados" rendered="#{fn:length(clienteController.listaClienteDashboard) > 1}"/></p>
                                </div>
                                <div class="icon">
                                    <i class="fa fa-users"></i>
                                </div>
                                <p:commandLink class="small-box-footer" action="#{menuController.setPage('/cliente/index','Clientes')}" update="myPanel,myDashBoard"  onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                                    <i class="fa fa-arrow-circle-right"></i> Mais informações
                                </p:commandLink>
                            </div>
                        </div> 

                        <div class="col-lg-6 col-xs-6">
                            <div class="small-box bg-primary">
                                <div class="inner">
                                    <h3>#{lancamentoController.valorEmAberto}</h3>
                                    <p><p:outputLabel value="Lançamento" rendered="#{fn:length(lancamentoController.listaLancamento) == 0}"/></p>
                                    <p><p:outputLabel value="Lançamento Cadastrado" rendered="#{fn:length(lancamentoController.listaLancamento) == 1}"/></p>
                                    <p><p:outputLabel value="Lançamentos Cadastrados" rendered="#{fn:length(lancamentoController.listaLancamento) > 1}"/></p>
                                </div>
                                <div class="icon">
                                    <i class="ion ion-cash"></i>
                                </div>
                                <p:commandLink class="small-box-footer" action="#{menuController.setPage('/movimentos/lancamento/index','Payment List')}" update="myPanel,myDashBoard"  onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                                    <i class="fa fa-arrow-circle-right"></i> Mais informações
                                </p:commandLink>
                            </div>
                        </div> 
                        <div class="col-lg-6 col-xs-6">
                            <div class="small-box bg-red">
                                <div class="inner">
                                    <h3>#{fn:length(usuarioController.usuarioListDash)}</h3>
                                    <p>Usuarios</p>
                                    <p><p:outputLabel value="Usuario" rendered="#{fn:length(usuarioController.usuarioListDash) == 0}"/></p>
                                    <p><p:outputLabel value="Usuario Cadastrado" rendered="#{fn:length(usuarioController.usuarioListDash) == 1}"/></p>
                                    <p><p:outputLabel value="Usuarios Cadastrados" rendered="#{fn:length(usuarioController.usuarioListDash) > 1}"/></p>
                                </div>
                                <div class="icon">
                                    <i class="ion ion-person-stalker"></i>
                                </div>
                                <p:commandLink class="small-box-footer" action="#{menuController.setPage('/usuario/index','Usuarios')}" update="myPanel,myDashBoard"  onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                                    <i class="fa fa-arrow-circle-right"></i> Mais informações
                                </p:commandLink>
                            </div>
                        </div> 
                    </div>
                </div>
        </h:form>
    </ui:composition>

</html>